Index: /palm/trunk/SOURCE/user_check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/user_check_parameters.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_check_parameters.f90	(revision 1320)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -37,4 +42,7 @@
 
     USE control_parameters
+
+    USE kinds
+
     USE user
 
Index: /palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_2d.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_data_output_2d.f90	(revision 1320)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -27,10 +32,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
-!
-! 343 2009-06-24 12:59:09Z maronga
-! +dummy argument two_d
 !
 ! 211 2008-11-11 04:46:24Z raasch
@@ -45,15 +44,23 @@
 
     USE indices
+
+    USE kinds
+
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  grid, variable
+    CHARACTER (LEN=*) ::  grid     !: 
+    CHARACTER (LEN=*) ::  variable !: 
 
-    INTEGER ::  av, i, j, k
+    INTEGER(iwp) ::  av !: 
+    INTEGER(iwp) ::  i  !: 
+    INTEGER(iwp) ::  j  !: 
+    INTEGER(iwp) ::  k  !: 
 
-    LOGICAL ::  found, two_d
+    LOGICAL      ::  found !: 
+    LOGICAL      ::  two_d !: 
 
-    REAL, DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nzt+1) ::  local_pf
+    REAL(wp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nzt+1) ::  local_pf !: 
 
 
Index: /palm/trunk/SOURCE/user_data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_3d.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_data_output_3d.f90	(revision 1320)
@@ -20,5 +20,9 @@
 ! Current revisions:
 ! ------------------
-! 
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -32,7 +36,4 @@
 ! code put under GPL (PALM 3.9)
 !
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
-!
 ! 211 2008-11-11 04:46:24Z raasch
 ! Former file user_interface.f90 split into one file per subroutine
@@ -45,16 +46,22 @@
 
     USE indices
-    USE precision_kind
+
+    USE kinds
+
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  variable
+    CHARACTER (LEN=*) ::  variable !: 
 
-    INTEGER ::  av, i, j, k, nz_do
+    INTEGER(iwp) ::  av    !: 
+    INTEGER(iwp) ::  i     !: 
+    INTEGER(iwp) ::  j     !: 
+    INTEGER(iwp) ::  k     !: 
+    INTEGER(iwp) ::  nz_do !: 
 
-    LOGICAL ::  found
+    LOGICAL      ::  found !: 
 
-   REAL(spk), DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nz_do) ::  local_pf
+   REAL(sp), DIMENSION(nxlg:nxrg,nysg:nyng,nzb:nz_do) ::  local_pf !: 
 
 
Index: /palm/trunk/SOURCE/user_data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_data_output_dvrp.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-! 
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -28,8 +33,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 258 2009-03-13 12:36:03Z heinze
-! Output of messages replaced by message handling routine.
-! Clipping implemented
 !
 ! 211 2008-11-11 04:46:24Z raasch
@@ -42,17 +43,25 @@
 
     USE control_parameters
+
     USE dvrp_variables
+
     USE indices
+
+    USE kinds
+
     USE pegrid
+
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  output_variable
+    CHARACTER (LEN=*) ::  output_variable !: 
 
-    INTEGER ::  i, j, k
+    INTEGER(iwp) ::  i !: 
+    INTEGER(iwp) ::  j !: 
+    INTEGER(iwp) ::  k !: 
 
-    REAL, DIMENSION(nxl_dvrp:nxr_dvrp+1,nys_dvrp:nyn_dvrp+1,nzb:nz_do3d) ::  &
-                                                                       local_pf
+    REAL(wp), DIMENSION(nxl_dvrp:nxr_dvrp+1,nys_dvrp:nyn_dvrp+1,nzb:nz_do3d) :: &
+              local_pf !: 
 
 !
Index: /palm/trunk/SOURCE/user_data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/user_data_output_mask.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_data_output_mask.f90	(revision 1320)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! ------------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -29,6 +34,4 @@
 ! code put under GPL (PALM 3.9)
 !
-! Initial version
-!
 ! Description:
 ! ------------
@@ -38,17 +41,25 @@
 
     USE control_parameters
+        
     USE indices
+    
+    USE kinds
+    
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  variable
+    CHARACTER (LEN=*) ::  variable   !: 
 
-    INTEGER ::  av, i, j, k
+    INTEGER(iwp) ::  av   !: 
+    INTEGER(iwp) ::  i    !: 
+    INTEGER(iwp) ::  j    !: 
+    INTEGER(iwp) ::  k    !: 
 
-    LOGICAL ::  found
+    LOGICAL ::  found     !: 
 
-    REAL, DIMENSION(mask_size_l(mid,1),mask_size_l(mid,2), &
-                    mask_size_l(mid,3)) ::  local_pf
+    REAL(wp),                                                                  &
+       DIMENSION(mask_size_l(mid,1),mask_size_l(mid,2),mask_size_l(mid,3)) ::  &
+          local_pf   !: 
 
 
@@ -57,5 +68,4 @@
     SELECT CASE ( TRIM( variable ) )
 
-!
 !--    Uncomment and extend the following lines, if necessary.
 !--    The arrays for storing the user defined quantities (here u2 and u2_av)
@@ -67,5 +77,5 @@
 !               DO  j = 1, mask_size_l(mid,2)
 !                  DO  k = 1, mask_size_l(mid,3)
-!                      local_pf(i,j,k) = u2(mask_k(mid,k), &
+!                      local_pf(i,j,k) = u2(mask_k(mid,k),                       &
 !                                           mask_j(mid,j),mask_i(mid,i))
 !                   ENDDO
@@ -76,5 +86,5 @@
 !               DO  j = 1, mask_size_l(mid,2)
 !                  DO  k = 1, mask_size_l(mid,3)
-!                      local_pf(i,j,k) = u2_av(mask_k(mid,k), &
+!                      local_pf(i,j,k) = u2_av(mask_k(mid,k),                    &
 !                                              mask_j(mid,j),mask_i(mid,i))
 !                   ENDDO
@@ -82,5 +92,4 @@
 !             ENDDO
 !          ENDIF
-!
 
        CASE DEFAULT
Index: /palm/trunk/SOURCE/user_define_netcdf_grid.f90
===================================================================
--- /palm/trunk/SOURCE/user_define_netcdf_grid.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_define_netcdf_grid.f90	(revision 1320)
@@ -20,4 +20,6 @@
 ! Current revisions:
 ! -----------------
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -39,11 +41,16 @@
 !------------------------------------------------------------------------------!
 
+    USE kinds
+    
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  grid_x, grid_y, grid_z, variable
+    CHARACTER (LEN=*) ::  grid_x     !: 
+    CHARACTER (LEN=*) ::  grid_y     !: 
+    CHARACTER (LEN=*) ::  grid_z     !: 
+    CHARACTER (LEN=*) ::  variable   !: 
 
-    LOGICAL ::  found
+    LOGICAL ::  found   !: 
 
 
Index: /palm/trunk/SOURCE/user_dvrp_coltab.f90
===================================================================
--- /palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_dvrp_coltab.f90	(revision 1320)
@@ -20,4 +20,7 @@
 ! Current revisions:
 ! -----------------
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -28,7 +31,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 258 2009-03-13 12:36:03Z heinze
-! Output of messages replaced by message handling routine.
 !
 ! 211 2008-11-11 04:46:24Z raasch
@@ -41,12 +41,17 @@
     
     USE control_parameters
+        
     USE dvrp_variables
+    
+    USE kinds
+    
     USE pegrid
+    
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  mode
-    CHARACTER (LEN=*) ::  variable
+    CHARACTER (LEN=*) ::  mode       !: 
+    CHARACTER (LEN=*) ::  variable   !: 
 
 
Index: /palm/trunk/SOURCE/user_header.f90
===================================================================
--- /palm/trunk/SOURCE/user_header.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_header.f90	(revision 1320)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -28,8 +35,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 256 2009-03-08 08:56:27Z letzel
-! new topography case 'single_street_canyon'
-! topography_grid_convention moved to header
 !
 ! 2008-12-09 18:00:48Z letzel
@@ -42,11 +45,15 @@
 !------------------------------------------------------------------------------!
 
-    USE control_parameters
-    USE statistics
+    USE kinds
+    
+    USE statistics,                                                            &
+        ONLY:  statistic_regions, region
+        
     USE user
 
     IMPLICIT NONE
 
-    INTEGER ::  i, io
+    INTEGER(iwp) ::  i    !: 
+    INTEGER(iwp) ::  io   !: 
 
 !
@@ -72,6 +79,6 @@
 !-- Format-descriptors
 100 FORMAT (//' *** no user-defined variables found'/)
-110 FORMAT (//1X,78('#')                                      &
-            //' User-defined variables and actions:'/  &
+110 FORMAT (//1X,78('#')                                                       &
+            //' User-defined variables and actions:'/                          &
               ' -----------------------------------'//)
 200 FORMAT (' Output of profiles and time series for following regions:' /)
Index: /palm/trunk/SOURCE/user_init.f90
===================================================================
--- /palm/trunk/SOURCE/user_init.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_init.f90	(revision 1320)
@@ -20,4 +20,8 @@
 ! Current revisions:
 ! -----------------
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
+!
 !
 ! Former revisions:
@@ -27,7 +31,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 211 2008-11-11 04:46:24Z raasch
@@ -40,12 +41,18 @@
 
     USE control_parameters
+    
     USE indices
+    
+    USE kinds
+    
     USE netcdf_control
+    
     USE pegrid
+    
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=20) :: field_char
+    CHARACTER (LEN=20) :: field_char   !: 
 !
 !-- Here the user-defined initializing actions follow:
Index: /palm/trunk/SOURCE/user_init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_3d_model.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_init_3d_model.f90	(revision 1320)
@@ -41,6 +41,11 @@
 
     USE arrays_3d
+    
     USE control_parameters
+    
     USE indices
+    
+    USE kinds
+    
     USE user
 
Index: /palm/trunk/SOURCE/user_init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_grid.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_init_grid.f90	(revision 1320)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -28,9 +34,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 258 2009-03-13 12:36:03Z heinze
-! Output of messages replaced by message handling routine.
-! add 'single_street_canyon' as standard topography case
-! -topography_grid_convention
 !
 ! 217 2008-12-09 18:00:48Z letzel
@@ -46,12 +47,18 @@
 
     USE control_parameters
+    
     USE indices
+    
+    USE kinds
+    
     USE user
 
     IMPLICIT NONE
 
-    INTEGER ::  gls
+    INTEGER(iwp) ::  gls   !: 
 
-    INTEGER, DIMENSION(-gls:ny+gls,-gls:nx+gls) ::  nzb_local
+    INTEGER(iwp),                                                              &
+       DIMENSION(-gls:ny+gls,-gls:nx+gls) ::                                   &
+          nzb_local   !: 
 
 !
Index: /palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 1320)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
+!
 !
 ! Former revisions:
@@ -27,10 +34,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
-!
-! 274 2009-03-26 15:11:21Z heinze
-! Output of messages replaced by message handling routine.
 !
 ! 211 2008-11-11 04:46:24Z raasch
@@ -45,11 +46,17 @@
 
     USE arrays_3d
+    
     USE control_parameters
+    
     USE indices
+    
+    USE kinds
+    
     USE user
 
     IMPLICIT NONE
 
-    INTEGER :: i, j 
+    INTEGER(iwp) :: i   !: 
+    INTEGER(iwp) :: j   !: 
 
 !
Index: /palm/trunk/SOURCE/user_last_actions.f90
===================================================================
--- /palm/trunk/SOURCE/user_last_actions.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_last_actions.f90	(revision 1320)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! revision history before 2012 removed,
 ! 
 !
@@ -28,7 +29,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 366 2009-08-25 08:06:27Z raasch
-! Output on unit 14 only if requested by write_binary
 !
 ! 211 2008-11-11 04:46:24Z raasch
@@ -41,4 +39,7 @@
 
     USE control_parameters
+        
+    USE kinds
+    
     USE user
 
Index: /palm/trunk/SOURCE/user_lpm_advec.f90
===================================================================
--- /palm/trunk/SOURCE/user_lpm_advec.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_lpm_advec.f90	(revision 1320)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -40,10 +45,13 @@
 !------------------------------------------------------------------------------!
 
+    USE kinds
+    
     USE particle_attributes
+    
     USE user
 
     IMPLICIT NONE
 
-    INTEGER ::  n
+    INTEGER(iwp) ::  n   !: 
 
 !
Index: /palm/trunk/SOURCE/user_lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/user_lpm_init.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_lpm_init.f90	(revision 1320)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -40,10 +45,13 @@
 !------------------------------------------------------------------------------!
 
+    USE kinds
+    
     USE particle_attributes
+    
     USE user
 
     IMPLICIT NONE
 
-    INTEGER ::  n
+    INTEGER(iwp) ::  n   !: 
 
 !
Index: /palm/trunk/SOURCE/user_lpm_set_attributes.f90
===================================================================
--- /palm/trunk/SOURCE/user_lpm_set_attributes.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_lpm_set_attributes.f90	(revision 1320)
@@ -20,4 +20,9 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -40,10 +45,13 @@
 !------------------------------------------------------------------------------!
 
+    USE kinds
+    
     USE particle_attributes
+    
     USE user
 
     IMPLICIT NONE
 
-    INTEGER ::  n
+    INTEGER(iwp) ::  n   !: 
 
 !
Index: /palm/trunk/SOURCE/user_module.f90
===================================================================
--- /palm/trunk/SOURCE/user_module.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_module.f90	(revision 1320)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 ! 
 !
@@ -28,22 +34,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 220 2008-12-18 07:00:36Z raasch
-! Former file user_interface.f90 split into one file per subroutine,
-! revision history cleaned up
-!
-! 159 2008-04-09 08:06:03Z raasch
-! bugfix in user_read_restart_data
-! small bugfixes for sample code (comments):
-! - initialize ustvst with 0.0 as it is now computed only until nxr and nyn
-! - two ALLOCATE statements moved from user_read_restart_data back to user_init
-! - remove 'READ (13) u2_av' statement in user_read_restart_data
-! +routines user_read_restart_data, user_spectra
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.18  2006/06/02 15:25:00  raasch
-! +change of grid-defining arguments in routine user_define_netcdf_grid,
-! new argument "found" in user_data_output_2d and user_data_output_3d
 !
 ! Revision 1.1  1998/03/24 15:29:04  raasch
@@ -57,12 +45,20 @@
 !------------------------------------------------------------------------------!
 
-    INTEGER ::  dots_num_palm, user_idummy
-    LOGICAL ::  user_defined_namelist_found = .FALSE.
-    REAL    ::  user_rdummy
+    USE kinds
+
+    IMPLICIT NONE
+
+    INTEGER(iwp) ::  dots_num_palm   !: 
+    INTEGER(iwp) ::  user_idummy     !: 
+    
+    LOGICAL ::  user_defined_namelist_found = .FALSE.   !: 
+    
+    REAL(wp) ::  user_rdummy   !: 
 
 !
 !-- Sample for user-defined output
-!    REAL, DIMENSION(:,:,:), ALLOCATABLE ::  u2, u2_av
-!    REAL, DIMENSION(:,:,:), ALLOCATABLE ::  ustvst
+!    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  u2       !: user defined array
+!    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  u2_av    !: user defined array
+!    REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  ustvst   !: user defined array
 
     SAVE
Index: /palm/trunk/SOURCE/user_parin.f90
===================================================================
--- /palm/trunk/SOURCE/user_parin.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_parin.f90	(revision 1320)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 !
@@ -35,14 +41,4 @@
 ! Bugfix: disable max_pr_user check during prior namelist file check
 !
-! 553 2010-09-01 14:09:06Z weinreis
-! data_output_mask_user_* replaced by array data_output_masks_user
-!
-! 410 2009-12-04 17:05:40Z letzel
-! masked data output
-!
-! 274 2009-03-26 15:11:21Z heinze
-! Output of messages replaced by message handling routine.
-! topography_grid_convention moved to inipar
-!
 ! 217 2008-12-09 18:00:48Z letzel
 ! +topography_grid_convention
@@ -55,16 +51,23 @@
 
     USE control_parameters
+    
+    USE kinds
+    
     USE pegrid
+    
     USE statistics
+    
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=80) ::  zeile
+    CHARACTER (LEN=80) ::  zeile   !: 
 
-    INTEGER ::  i, j, max_pr_user_tmp
+    INTEGER(iwp) ::  i                 !: 
+    INTEGER(iwp) ::  j                 !: 
+    INTEGER(iwp) ::  max_pr_user_tmp   !: 
 
 
-    NAMELIST /userpar/  data_output_pr_user, data_output_user, region,  &
+    NAMELIST /userpar/  data_output_pr_user, data_output_user, region,         &
                         data_output_masks_user
 
@@ -110,8 +113,8 @@
     IF ( TRIM( initializing_actions ) == 'read_restart_data' )  THEN
        IF ( max_pr_user /= max_pr_user_tmp )  THEN
-          WRITE( message_string, * ) 'the number of user-defined profiles ', &
-                     'given in &data_output_pr (', max_pr_user_tmp, ') doe', &
-                     'snot match the one ',                                  &
-                     '&found in the restart file (', max_pr_user,            &
+          WRITE( message_string, * ) 'the number of user-defined profiles ',   &
+                     'given in &data_output_pr (', max_pr_user_tmp, ') doe',   &
+                     'snot match the one ',                                    &
+                     '&found in the restart file (', max_pr_user,              &
                                      ')'
           CALL message( 'user_parin', 'UI0009', 1, 2, 0, 6, 0 )
Index: /palm/trunk/SOURCE/user_read_restart_data.f90
===================================================================
--- /palm/trunk/SOURCE/user_read_restart_data.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_read_restart_data.f90	(revision 1320)
@@ -23,4 +23,11 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
+!
 !
 ! Former revisions:
@@ -30,17 +37,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 702 2011-03-24 19:33:15Z suehring
-! nys-1, nyn+1, nxl-1, nxr+1 changed to nysg, nyng, nxlg, nxrg.
-!
-! 667 2010-12-23 12:06:00Z suehring/gryschka
-! Allocation with nbgp
-!
-! 583 2010-10-11 09:28:42Z heinze
-! Bugfix: replace 'user_spectra' with 'user_read_restart_data' in call of 
-! message
-!
-! 274 2009-03-26 15:11:21Z heinze
-! Output of messages replaced by message handling routine.
 !
 ! 220 2008-12-18 07:00:36Z raasch
@@ -59,24 +53,47 @@
 
     USE control_parameters
+        
     USE indices
+    
+    USE kinds
+    
     USE pegrid
+    
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=20) :: field_char
+    CHARACTER (LEN=20) :: field_char   !: 
 
-    INTEGER ::  i, k, nxlc, nxlf, nxl_on_file, nxrc, nxrf, nxr_on_file, nync, &
-                nynf, nyn_on_file, nysc, nysf, nys_on_file, overlap_count
+    INTEGER(iwp) ::  i               !: 
+    INTEGER(iwp) ::  k               !: 
+    INTEGER(iwp) ::  nxlc            !: 
+    INTEGER(iwp) ::  nxlf            !: 
+    INTEGER(iwp) ::  nxl_on_file     !: 
+    INTEGER(iwp) ::  nxrc            !: 
+    INTEGER(iwp) ::  nxrf            !: 
+    INTEGER(iwp) ::  nxr_on_file     !: 
+    INTEGER(iwp) ::  nync            !: 
+    INTEGER(iwp) ::  nynf            !: 
+    INTEGER(iwp) ::  nyn_on_file     !: 
+    INTEGER(iwp) ::  nysc            !: 
+    INTEGER(iwp) ::  nysf            !: 
+    INTEGER(iwp) ::  nys_on_file     !: 
+    INTEGER(iwp) ::  overlap_count   !: 
 
-    INTEGER, DIMENSION(numprocs_previous_run,1000) ::  nxlfa, nxrfa, nynfa, &
-                                                       nysfa, offset_xa, &
-                                                       offset_ya
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxlfa       !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nxrfa       !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nynfa       !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  nysfa       !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_xa   !: 
+    INTEGER(iwp), DIMENSION(numprocs_previous_run,1000) ::  offset_ya   !: 
 
-    REAL, DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: &
-          tmp_2d
+    REAL(wp),                                                                  &
+       DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) ::&
+          tmp_2d   !: 
 
-    REAL, DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: &
-          tmp_3d
+    REAL(wp),                                                                  &
+       DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) ::&
+          tmp_3d   !: 
 
 !
@@ -107,10 +124,10 @@
 !                   ENDIF
 !                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-!                   u2_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
+!                   u2_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =           &
 !                                          tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 !
 !                CASE DEFAULT
-!                   WRITE( message_string, * ) 'unknown variable named "',  &
-!                                         TRIM( field_char ), '" found in', &
+!                   WRITE( message_string, * ) 'unknown variable named "',       &
+!                                         TRIM( field_char ), '" found in',      &
 !                                         '&data from prior run on PE ', myid
 !                   CALL message( 'user_read_restart_data', 'UI0012', 1, 2, 0, 6, 0 )
Index: /palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/user_spectra.f90	(revision 1319)
+++ /palm/trunk/SOURCE/user_spectra.f90	(revision 1320)
@@ -20,4 +20,10 @@
 ! Current revisions:
 ! -----------------
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !  
 !
@@ -28,7 +34,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 274 2009-03-26 15:11:21Z heinze
-! Output of messages replaced by message handling routine.
 !
 ! 211 2008-11-11 04:46:24Z raasch
@@ -43,8 +46,15 @@
 
     USE arrays_3d
+    
     USE control_parameters
+    
     USE indices
+    
+    USE kinds
+    
     USE spectrum
+    
     USE statistics
+    
     USE user
 
@@ -53,5 +63,9 @@
     CHARACTER (LEN=*) ::  mode
 
-    INTEGER ::  i, j, k, m, pr
+    INTEGER(iwp) ::  i    !: 
+    INTEGER(iwp) ::  j    !: 
+    INTEGER(iwp) ::  k    !: 
+    INTEGER(iwp) ::  m    !: 
+    INTEGER(iwp) ::  pr   !: 
 
 
@@ -75,5 +89,5 @@
        
           CASE DEFAULT
-             message_string = 'Spectra of ' // &
+             message_string = 'Spectra of ' //                                 &
                          TRIM( data_output_sp(m) ) // ' can not be calculated'
              CALL message( 'user_spectra', 'UI0010', 0, 0, 0, 6, 0 )
@@ -93,5 +107,5 @@
 
           CASE DEFAULT
-             message_string = 'Spectra of ' //  &
+             message_string = 'Spectra of ' //                                 &
                               TRIM( data_output_sp(m) ) // ' are not defined'
              CALL message( 'user_spectra', 'UI0011', 0, 0, 0, 6, 0 )
